# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-django-ajax-selects
Name:           python-module-django-ajax-selects
Version:        1.2.4
Release:        alt1_3
Summary:        Enables editing of ForeignKey, ManyToMany and simple text fields

Group:          Development/Python
License:        MIT or GPL+
URL:            http://pypi.python.org/pypi/django-ajax-selects
Source:         http://pypi.python.org/packages/source/d/django-ajax-selects/django-ajax-selects-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-module-distribute

Provides: django-ajax-selects = %{version}-%{release}
# Because of the renaming mechanism, the next should stay forever in this package.
Obsoletes: django-ajax-selects < 1.1.4-4 
Source44: import.info

%description
Enables editing of ForeignKey, ManyToMany and simple text fields using the 
Autocomplete - jQuery plugin.
django-ajax-selects will work in any normal form as well as in the admin.
The user is presented with a text field. They type a search term or a few 
letters of a name they are looking for, an ajax request is sent to the server,
a search channel returns possible results. Results are displayed as a drop 
down menu. When an item is selected it is added to a display area just below
the text field.

%prep
%setup -q -n django-ajax-selects-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%files
%{python_sitelibdir_noarch}/ajax_select
%doc ajax_select/LICENSE.txt 
%doc ajax_select/docs/*
%doc example/*
%{python_sitelibdir_noarch}/django_ajax_selects-%{version}-py?.?.egg-info

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.2.4-alt1_3
- update to new release by fcimport

* Tue Jan 01 2013 Igor Vlasenko <viy@altlinux.ru> 1.2.4-alt1_2
- initial fc import

